/*
* Copyright (c) 2017 Experis IT.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* MIT License which accompanies
* this distribution, and is available at
D1.1 Project Management and Quality Plan Version 1.0  Final. Date: 28.02.2017
 DECIDE Consortium Contract No. GA 731533 Page 22 of 46
www.decide-h2020.eu
* https://opensource.org/licenses/MIT
*
* Contributors:
*
* Luis Silva - Experis IT
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/

package eu.DECIDEh2020.violationhandler;

import java.util.List;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class Grafanahook {

    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("ruleId")
    @Expose
    private Integer ruleId;
    @SerializedName("ruleName")
    @Expose
    private String ruleName;
    @SerializedName("ruleUrl")
    @Expose
    private String ruleUrl;
    @SerializedName("state")
    @Expose
    private String state;
    @SerializedName("imageUrl")
    @Expose
    private String imageUrl;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("evalMatches")
    @Expose
    private List<EvalMatch> evalMatches = null;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Grafanahook withTitle(String title) {
        this.title = title;
        return this;
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public Grafanahook withRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public Grafanahook withRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getRuleUrl() {
        return ruleUrl;
    }

    public void setRuleUrl(String ruleUrl) {
        this.ruleUrl = ruleUrl;
    }

    public Grafanahook withRuleUrl(String ruleUrl) {
        this.ruleUrl = ruleUrl;
        return this;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Grafanahook withState(String state) {
        this.state = state;
        return this;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Grafanahook withImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Grafanahook withMessage(String message) {
        this.message = message;
        return this;
    }

    public List<EvalMatch> getEvalMatches() {
        return evalMatches;
    }

	public void setEvalMatches(List<EvalMatch> evalMatches) {
        this.evalMatches = evalMatches;
    }

    public Grafanahook withEvalMatches(List<EvalMatch> evalMatches) {
        this.evalMatches = evalMatches;
        return this;
    }
    
    @Override
	public String toString() {
		return "\ntitle=" + title + "\nruleId=" + ruleId + "\nruleName=" + ruleName + "\nruleUrl=" + ruleUrl
				+ "\nstate=" + state + "\nimageUrl=" + imageUrl + "\nmessage=" + message + "\nevalMatches="
				+ evalMatches.toString() + "]";
	}
}
